summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2023-01-09 08:32:07 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2023-01-09 08:32:07 +0000
commit6494b619f6dc35306dc52b7a4efa6f17ddbd7f13 (patch)
tree8a761a1910aa9c11d5e03c96ec5da7516c949bbf /dev-python
parentc9d7536109ab2e5a10e025d90c93c2fe5e86dca9 (diff)
downloadbaldeagleos-repo-6494b619f6dc35306dc52b7a4efa6f17ddbd7f13.tar.gz
baldeagleos-repo-6494b619f6dc35306dc52b7a4efa6f17ddbd7f13.tar.xz
baldeagleos-repo-6494b619f6dc35306dc52b7a4efa6f17ddbd7f13.zip
Adding metadata
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/astroid/Manifest1
-rw-r--r--dev-python/astroid/astroid-2.13.1.ebuild61
-rw-r--r--dev-python/cleo/Manifest2
-rw-r--r--dev-python/cleo/cleo-0.8.1-r1.ebuild33
-rw-r--r--dev-python/cleo/cleo-1.0.0.ebuild35
-rw-r--r--dev-python/cleo/cleo-2.0.1.ebuild4
-rw-r--r--dev-python/coverage/Manifest1
-rw-r--r--dev-python/coverage/coverage-7.0.4.ebuild78
-rw-r--r--dev-python/django-tables2/Manifest1
-rw-r--r--dev-python/django-tables2/django-tables2-2.5.1.ebuild52
-rw-r--r--dev-python/google-api-core/google-api-core-2.11.0-r1.ebuild73
-rw-r--r--dev-python/google-api-python-client/google-api-python-client-2.71.0-r1.ebuild53
-rw-r--r--dev-python/google-auth-httplib2/Manifest1
-rw-r--r--dev-python/google-auth-httplib2/google-auth-httplib2-0.1.0-r2.ebuild39
-rw-r--r--dev-python/google-auth-oauthlib/google-auth-oauthlib-0.8.0-r2.ebuild39
-rw-r--r--dev-python/hatch-vcs/Manifest2
-rw-r--r--dev-python/hatch-vcs/hatch-vcs-0.2.0.ebuild34
-rw-r--r--dev-python/hatch-vcs/hatch-vcs-0.2.1.ebuild34
-rw-r--r--dev-python/hatch-vcs/hatch-vcs-0.3.0.ebuild2
-rw-r--r--dev-python/hypothesis/Manifest1
-rw-r--r--dev-python/hypothesis/hypothesis-6.61.3.ebuild77
-rw-r--r--dev-python/iniconfig/Manifest1
-rw-r--r--dev-python/iniconfig/iniconfig-2.0.0.ebuild31
-rw-r--r--dev-python/libcloud/Manifest1
-rw-r--r--dev-python/libcloud/libcloud-3.7.0.ebuild60
-rw-r--r--dev-python/libtmux/Manifest4
-rw-r--r--dev-python/libtmux/libtmux-0.18.3.ebuild (renamed from dev-python/libtmux/libtmux-0.18.2.ebuild)0
-rw-r--r--dev-python/libtmux/libtmux-0.19.1.ebuild (renamed from dev-python/libtmux/libtmux-0.16.1.ebuild)2
-rw-r--r--dev-python/mkdocs-material/Manifest1
-rw-r--r--dev-python/mkdocs-material/mkdocs-material-9.0.3.ebuild53
-rw-r--r--dev-python/networkx/Manifest1
-rw-r--r--dev-python/networkx/networkx-3.0.ebuild65
-rw-r--r--dev-python/nox/nox-2022.11.21.ebuild5
-rw-r--r--dev-python/platformdirs/Manifest3
-rw-r--r--dev-python/platformdirs/platformdirs-2.5.4.ebuild35
-rw-r--r--dev-python/platformdirs/platformdirs-2.6.0.ebuild35
-rw-r--r--dev-python/platformdirs/platformdirs-2.6.1.ebuild35
-rw-r--r--dev-python/platformdirs/platformdirs-2.6.2.ebuild4
-rw-r--r--dev-python/prettytable/Manifest1
-rw-r--r--dev-python/prettytable/prettytable-3.6.0.ebuild38
-rw-r--r--dev-python/proto-plus/proto-plus-1.22.1-r1.ebuild40
-rw-r--r--dev-python/redis-py/Manifest1
-rw-r--r--dev-python/redis-py/redis-py-4.4.1.ebuild79
-rw-r--r--dev-python/sphinxcontrib-applehelp/Manifest1
-rw-r--r--dev-python/sphinxcontrib-applehelp/sphinxcontrib-applehelp-1.0.3.ebuild44
-rw-r--r--dev-python/svglib/Manifest1
-rw-r--r--dev-python/svglib/svglib-1.5.1.ebuild38
47 files changed, 946 insertions, 256 deletions
diff --git a/dev-python/astroid/Manifest b/dev-python/astroid/Manifest
index bff60211af61..eab7457e6012 100644
--- a/dev-python/astroid/Manifest
+++ b/dev-python/astroid/Manifest
@@ -1,2 +1,3 @@
DIST astroid-2.12.13.gh.tar.gz 437906 BLAKE2B c00462d44c9705dc5b46fc52915e6a44e53e840d5326427d235c9156bc4de58b184271338ebc10a4572e1aace8d4ababd3bd7e440a6ee585aa66d15dfe4117be SHA512 16d062b1a619663b157c4753f1744e56e7d0ef7cace12660feb7f6bc540e54be02638b52c1c877d3eb514e2d7423c4afc71e7d5464880bfd3724ff7ae6d7b90a
DIST astroid-2.12.14.gh.tar.gz 440473 BLAKE2B 5b3d55664676b806af73208a2fcbbea2ee0c48bfb59ffa4f54fdc6dd35463d032b4b033530c9d10c52289f3d51c8d59c4d35330a427110c76a1a4566162ceddc SHA512 cdce9ed35ec107bb7ed4a7eb9e778f90c248dbbc00e3da5b4ae86340f960b71f31ffea0cabb677f17bde9daa28f8bed1de4a9f331b8cc975d85793a44dc29b65
+DIST astroid-2.13.1.gh.tar.gz 449003 BLAKE2B 1630cb4cbdea3544942863c58681ba1d5de81bb5d5e49f58bb498d689ab4ad4533bee169eecd6796ad5a62282c8c1f2dc69c7b59b684d1758e0e6e9f8c0f0298 SHA512 703540b1b5ec65d04e56b349cdd82b59672749e58d10e546cba0600ad65a02d05195400379c5534e8b9142b368974d1e18526c86c5ac3b6e2d3dc8db95d7fec7
diff --git a/dev-python/astroid/astroid-2.13.1.ebuild b/dev-python/astroid/astroid-2.13.1.ebuild
new file mode 100644
index 000000000000..a7afab1aa951
--- /dev/null
+++ b/dev-python/astroid/astroid-2.13.1.ebuild
@@ -0,0 +1,61 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10,11} )
+
+inherit distutils-r1
+
+DESCRIPTION="Abstract Syntax Tree for logilab packages"
+HOMEPAGE="
+ https://github.com/PyCQA/astroid/
+ https://pypi.org/project/astroid/
+"
+SRC_URI="
+ https://github.com/PyCQA/astroid/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="LGPL-2.1+"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+# Version specified in pyproject.toml
+RDEPEND="
+ >=dev-python/lazy-object-proxy-1.4.0[${PYTHON_USEDEP}]
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ >=dev-python/typing-extensions-4.0.0[${PYTHON_USEDEP}]
+ <dev-python/wrapt-2[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ dev-python/setuptools_scm[${PYTHON_USEDEP}]
+ test? (
+ dev-python/numpy[${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+export SETUPTOOLS_SCM_PRETEND_VERSION=${PV}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # no clue why they're broken
+ tests/test_brain_regex.py::TestRegexBrain::test_regex_pattern_and_match_subscriptable
+ tests/unittest_modutils.py::GetModulePartTest::test_known_values_get_builtin_module_part
+ tests/unittest_brain_dataclasses.py::test_pydantic_field
+ tests/unittest_brain.py::SixBrainTest::test_from_imports
+ tests/unittest_regrtest.py::NonRegressionTests::test_numpy_distutils
+ # some problem with warnings (our options?)
+ tests/unittest_decorators.py::TestDeprecationDecorators::test_deprecated_default_argument_values_one_arg
+ tests/unittest_decorators.py::TestDeprecationDecorators::test_deprecated_default_argument_values_two_args
+ tests/unittest_scoped_nodes.py::test_deprecation_of_doc_attribute
+ )
+
+ # Faker causes sys.path_importer_cache keys to be overwritten
+ # with PosixPaths
+ epytest -p no:faker
+}
diff --git a/dev-python/cleo/Manifest b/dev-python/cleo/Manifest
index 14814f035330..4145345ead73 100644
--- a/dev-python/cleo/Manifest
+++ b/dev-python/cleo/Manifest
@@ -1,3 +1 @@
-DIST cleo-0.8.1.gh.tar.gz 96220 BLAKE2B 57971f6254a31ecf5101d89e96607b5915ab5138d727279d445172b89a10acd6b76619d344973fa2bdbc320866fa1dbdf05c889f4eca879839fa6bcbbad0af7c SHA512 9cd470063db9866a526f0bb8619d772c585377d5b1a662e0f94bad9fb9c853598b176444ca1ac0fadec82992196c471646504d6a28d4dcd1171433b8d160be9c
-DIST cleo-1.0.0.gh.tar.gz 154114 BLAKE2B 7a8906b4a40c1d1a9899f2195a4e4a35a828c2ea7713df31a94e40e7e930b8624a24ff5bc219140b5e42e100f96199393c940aa1bac24991c380f2136762dbff SHA512 a45af3f4ff0fc9535363bdcf265ab3d7726af99cf4b48e896f9d5fb1404721b4641f80e37a7266690a1f7d4a261cbd4c746338294ff29745f782f8657cd2bb07
DIST cleo-2.0.1.gh.tar.gz 154222 BLAKE2B dcaeff38c2dcb13b3c11200aa97cb2a1c16004558aabf9b44f1ba7ddd5d9c8c7784ea0ba1c50c19b015a6ff0659cb116b8ee926670091e39fd2b1cfd426cb72a SHA512 57a8e9cfc5486f73ade424199aaeb3def787a958031691aba2c6a230323d1c816316e3639dee7a07111aa0fc852d7088756f515cb24fdc84a40056ce969e5884
diff --git a/dev-python/cleo/cleo-0.8.1-r1.ebuild b/dev-python/cleo/cleo-0.8.1-r1.ebuild
deleted file mode 100644
index dc5f890c8e94..000000000000
--- a/dev-python/cleo/cleo-0.8.1-r1.ebuild
+++ /dev/null
@@ -1,33 +0,0 @@
-# Copyright 2022 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_USE_PEP517=poetry
-PYTHON_COMPAT=( python3_{7,8,9,10,11} )
-
-inherit distutils-r1
-
-DESCRIPTION="Python tool for building testable command-line interfaces"
-HOMEPAGE="
- https://github.com/python-poetry/cleo/
- https://pypi.org/project/cleo/
-"
-SRC_URI="
- https://github.com/python-poetry/cleo/archive/${PV}.tar.gz
- -> ${P}.gh.tar.gz
-"
-
-LICENSE="MIT"
-SLOT="0"
-KEYWORDS="amd64 ~arm ~arm64 ~ppc64 ~x86"
-
-BDEPEND="
- test? (
- dev-python/clikit[${PYTHON_USEDEP}]
- dev-python/crashtest[${PYTHON_USEDEP}]
- dev-python/pytest-mock[${PYTHON_USEDEP}]
- )
-"
-
-distutils_enable_tests pytest
diff --git a/dev-python/cleo/cleo-1.0.0.ebuild b/dev-python/cleo/cleo-1.0.0.ebuild
deleted file mode 100644
index a4e338f3a989..000000000000
--- a/dev-python/cleo/cleo-1.0.0.ebuild
+++ /dev/null
@@ -1,35 +0,0 @@
-# Copyright 2022 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_USE_PEP517=poetry
-PYTHON_COMPAT=( python3_{7,8,9,10,11} )
-
-inherit distutils-r1
-
-DESCRIPTION="Python tool for building testable command-line interfaces"
-HOMEPAGE="
- https://github.com/python-poetry/cleo/
- https://pypi.org/project/cleo/
-"
-SRC_URI="
- https://github.com/python-poetry/cleo/archive/${PV}.tar.gz
- -> ${P}.gh.tar.gz
-"
-
-LICENSE="MIT"
-SLOT="0"
-KEYWORDS="~amd64 ~arm ~arm64 ~ppc64"
-
-RDEPEND="
- dev-python/crashtest[${PYTHON_USEDEP}]
- dev-python/rapidfuzz[${PYTHON_USEDEP}]
-"
-BDEPEND="
- test? (
- dev-python/pytest-mock[${PYTHON_USEDEP}]
- )
-"
-
-distutils_enable_tests pytest
diff --git a/dev-python/cleo/cleo-2.0.1.ebuild b/dev-python/cleo/cleo-2.0.1.ebuild
index 019d9c2652ad..5ed3e79e380e 100644
--- a/dev-python/cleo/cleo-2.0.1.ebuild
+++ b/dev-python/cleo/cleo-2.0.1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 2022 Gentoo Authors
+# Copyright 2022-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
@@ -20,7 +20,7 @@ SRC_URI="
LICENSE="MIT"
SLOT="0"
-KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~x86"
+KEYWORDS="amd64 ~arm ~arm64 ~ppc64 ~x86"
RDEPEND="
dev-python/crashtest[${PYTHON_USEDEP}]
diff --git a/dev-python/coverage/Manifest b/dev-python/coverage/Manifest
index 7f4afab10793..3d4cd930f330 100644
--- a/dev-python/coverage/Manifest
+++ b/dev-python/coverage/Manifest
@@ -3,3 +3,4 @@ DIST coverage-7.0.0.tar.gz 780514 BLAKE2B 2d7e0190bacd5ef6db35e3c6ab5114571ce394
DIST coverage-7.0.1.tar.gz 781226 BLAKE2B 52da1dd6f3eae7d235a597d3dd24d4042ee1ee4c082d5700d04065b8328af01ef006121a3588f04e79235c559e6dc6d2f5168b5079037e19a41e1b8e869825a0 SHA512 63ec6a21d4af73720a2b79309cb1d0e61bbe67e04835bd907f19e482c1479cbb69d353cd42be0d4d9e75cb4082debb464ec5e9acf270c86042e7db58de1d024d
DIST coverage-7.0.2.tar.gz 789237 BLAKE2B 6a83b6736374679e855eefc99488eea8f4fa8b785bbff6455c6087a03b3d074d200b219fb7f9eaaa08824b9b37363861d02f0ca0cd157adf285b1e2e7bec92a2 SHA512 d2981951517ac1efe08df4f19931dd581fc1877d7095003ae1b0c63e10b388238bc793823471c5ac3243f6b46e9284057f3e569a14dc972dcaf342768da9d73e
DIST coverage-7.0.3.tar.gz 790351 BLAKE2B 0e0e2e0dfd6773bf78318b63400c6ba15b8218590d9d2c99666a2d6bb41745aa7d00b7c32879eabf9c0f6a2e3831637970fd8ea308a50befd526f2e0aafb6867 SHA512 6a298aa7fdf460277e85174fe930bf4dcdabfa57b753adda2d4b8381cd61c2e22700d287fefa16f098de318e6d79849c4db85a6d9f6e069f0acd5ce6ac93f154
+DIST coverage-7.0.4.tar.gz 794474 BLAKE2B 4c3e2e53a3a5bd55d2ba8c409a1983e96ca7ace33d69052f4e44c27d53e3732513a35c7e3e553fceffe06d5c9d664f548ce59ca171b210dafc88e6a7eb657d3b SHA512 f3f895af4d91a796b8ebc360ad116b78acf71a0f55cc1439a203440241e896f6666d9eccdb69f2cfb8162275755137356cb8b1df6504faa51f0a026d694abceb
diff --git a/dev-python/coverage/coverage-7.0.4.ebuild b/dev-python/coverage/coverage-7.0.4.ebuild
new file mode 100644
index 000000000000..bdd5a9f5f76f
--- /dev/null
+++ b/dev-python/coverage/coverage-7.0.4.ebuild
@@ -0,0 +1,78 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10,11} pypy3 )
+PYTHON_REQ_USE="threads(+),sqlite(+)"
+
+inherit distutils-r1
+
+DESCRIPTION="Code coverage measurement for Python"
+HOMEPAGE="
+ https://coverage.readthedocs.io/en/latest/
+ https://github.com/nedbat/coveragepy/
+ https://pypi.org/project/coverage/
+"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-macos"
+
+RDEPEND="
+ $(python_gen_cond_dep '
+ dev-python/tomli[${PYTHON_USEDEP}]
+ ' 3.{8..10})
+"
+BDEPEND="
+ test? (
+ dev-python/flaky[${PYTHON_USEDEP}]
+ dev-python/hypothesis[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ >=dev-python/unittest-mixins-1.4[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ sed -i -e '/^addopts/s:-q -n auto::' setup.cfg || die
+ distutils-r1_src_prepare
+}
+
+test_tracer() {
+ local -x COVERAGE_TEST_TRACER=${1}
+ einfo " Testing with the ${COVERAGE_TEST_TRACER} tracer ..."
+ epytest tests
+}
+
+python_test() {
+ local EPYTEST_IGNORE=(
+ # pip these days insists on fetching build deps from Internet
+ tests/test_venv.py
+ )
+
+ "${EPYTHON}" igor.py zip_mods || die
+
+ local -x COVERAGE_TESTING=True
+ # TODO: figure out why they can't be imported inside test env
+ local -x COVERAGE_NO_CONTRACTS=1
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ local -x PYTEST_PLUGINS=_hypothesis_pytestplugin,flaky.flaky_pytest_plugin,xdist.plugin
+
+ local prev_opt=$(shopt -p nullglob)
+ shopt -s nullglob
+ local c_ext=( "${BUILD_DIR}/install$(python_get_sitedir)"/coverage/*.so )
+ ${prev_opt}
+
+ if [[ -n ${c_ext} ]]; then
+ cp "${c_ext}" \
+ coverage/ || die
+ test_tracer c
+ rm coverage/*.so || die
+ else
+ test_tracer py
+ fi
+}
diff --git a/dev-python/django-tables2/Manifest b/dev-python/django-tables2/Manifest
index d778af29dc41..3b9ff1ed5c97 100644
--- a/dev-python/django-tables2/Manifest
+++ b/dev-python/django-tables2/Manifest
@@ -1,3 +1,4 @@
DIST django-tables2-2.3.4.tar.gz 77706 BLAKE2B 54e0903747ab29dab26049868f8cfd412d23fe3f36eaf292bebc90ee1c307f08d04af1eed469423e3699db227110fc0347a8034acb3b3b46971d37b3aebb84a1 SHA512 d10144b79850847d2787e4a97f450eb3709a419a5dcd330667e3746c16f3be7472c6c26dbf7d765356130b79b8c915c46fd3201c83e66806753f1bb95911895f
DIST django-tables2-2.4.1.gh.tar.gz 429723 BLAKE2B 80361d419279f548c089c4da990a45c6b43576746ec2762928af907415f3ea331a89f7e0ec7b792d27e15ed409b25f3ee26b3794cdb16255835f0d74faee068c SHA512 e2431f86e049b9dee1100d48727ea2003e431a3ad5bf8e8a4b773d53dc4d5e90ec310a7f07ce7532e044903d760aacda37b3512770f6e0db6527842d1cbdd6d9
DIST django-tables2-2.5.0.gh.tar.gz 430376 BLAKE2B 592a488fea869c2b0630c8d3ad72182636206a2b394355a2702c2dbeac43a67f9175a9f7756349c3d7877d2887af0e32816e2a4c9ba5234f04e9828fe38ffe29 SHA512 b0a31860205c5e68a520d1fdbfe16e094701dbcf1cf8c46d62c32b8194c121271832f08ca0fdb4c05cb52c1fde5ef66e323d3f772e2562da4f48188128cfa8a0
+DIST django-tables2-2.5.1.gh.tar.gz 430778 BLAKE2B 7811880ec49a514b74252d32fbc59d800aaa34fb2bf4af5675d1c4555c7a52f9eb3ca67d8d940697146c07de1e42006c6d3880a53b31a386bd088aa6939b056f SHA512 baf955b255dcbcf09250cfdbb2dc1fb51f3f9142ad29bf4ca8888344d1bcbe9f23a59f1509cad7e847d82bb6d410a494ed9eae1d4d4ca633e7f0351e4a98839d
diff --git a/dev-python/django-tables2/django-tables2-2.5.1.ebuild b/dev-python/django-tables2/django-tables2-2.5.1.ebuild
new file mode 100644
index 000000000000..5564e75ca694
--- /dev/null
+++ b/dev-python/django-tables2/django-tables2-2.5.1.ebuild
@@ -0,0 +1,52 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10,11} )
+
+inherit distutils-r1
+
+DESCRIPTION="Table/data-grid framework for Django"
+HOMEPAGE="
+ https://pypi.org/project/django-tables2/
+ https://github.com/jieter/django-tables2/
+"
+SRC_URI="
+ https://github.com/jieter/django-tables2/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+SLOT="0"
+LICENSE="BSD-2"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ >=dev-python/django-3.2[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ ${RDEPEND}
+ dev-python/django-filter[${PYTHON_USEDEP}]
+ dev-python/lxml[${PYTHON_USEDEP}]
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/psycopg:2[${PYTHON_USEDEP}]
+ dev-python/pytz[${PYTHON_USEDEP}]
+ )
+"
+
+src_prepare() {
+ # these tests require tablib
+ rm tests/test_export.py tests/test_templatetags.py || die
+ # these tests require fudge
+ rm tests/test_config.py || die
+
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ "${EPYTHON}" manage.py test -v 2 tests || die
+}
diff --git a/dev-python/google-api-core/google-api-core-2.11.0-r1.ebuild b/dev-python/google-api-core/google-api-core-2.11.0-r1.ebuild
new file mode 100644
index 000000000000..9b1c2d83c110
--- /dev/null
+++ b/dev-python/google-api-core/google-api-core-2.11.0-r1.ebuild
@@ -0,0 +1,73 @@
+# Copyright 2020-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10,11} )
+
+inherit distutils-r1
+
+MY_P=python-api-core-${PV}
+DESCRIPTION="Core Library for Google Client Libraries"
+HOMEPAGE="
+ https://github.com/googleapis/python-api-core/
+ https://pypi.org/project/google-api-core/
+ https://googleapis.dev/python/google-api-core/latest/index.html
+"
+SRC_URI="
+ https://github.com/googleapis/python-api-core/archive/v${PV}.tar.gz
+ -> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="amd64 ~arm ~arm64 x86"
+
+RDEPEND="
+ >=dev-python/googleapis-common-protos-1.56.2[${PYTHON_USEDEP}]
+ >=dev-python/google-auth-1.25.0[${PYTHON_USEDEP}]
+ >=dev-python/protobuf-python-3.19.5[${PYTHON_USEDEP}]
+ >=dev-python/requests-2.18.0[${PYTHON_USEDEP}]
+ <dev-python/requests-3[${PYTHON_USEDEP}]
+ !dev-python/namespace-google
+"
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/proto-plus[${PYTHON_USEDEP}]
+ dev-python/rsa[${PYTHON_USEDEP}]
+ dev-python/pytest-asyncio[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+EPYTEST_DESELECT=(
+ # failing due to missing grpcio-status
+ tests/asyncio/test_grpc_helpers_async.py::test_wrap_unary_errors
+ tests/asyncio/test_grpc_helpers_async.py::test_wrap_stream_errors_raised
+ tests/asyncio/test_grpc_helpers_async.py::test_wrap_stream_errors_read
+ tests/asyncio/test_grpc_helpers_async.py::test_wrap_stream_errors_aiter
+ tests/asyncio/test_grpc_helpers_async.py::test_wrap_stream_errors_write
+ tests/unit/test_grpc_helpers.py::test_wrap_unary_errors
+ tests/unit/test_grpc_helpers.py::test_wrap_stream_errors_invocation
+ tests/unit/test_grpc_helpers.py::test_wrap_stream_errors_iterator_initialization
+ tests/unit/test_grpc_helpers.py::test_wrap_stream_errors_during_iteration
+)
+
+python_compile() {
+ distutils-r1_python_compile
+ find "${BUILD_DIR}" -name '*.pth' -delete || die
+}
+
+src_test() {
+ rm -r google || die
+ distutils-r1_src_test
+}
+
+python_test() {
+ distutils_write_namespace google
+ epytest -p no:aiohttp -p no:trio tests
+}
diff --git a/dev-python/google-api-python-client/google-api-python-client-2.71.0-r1.ebuild b/dev-python/google-api-python-client/google-api-python-client-2.71.0-r1.ebuild
new file mode 100644
index 000000000000..3a772cd1d42a
--- /dev/null
+++ b/dev-python/google-api-python-client/google-api-python-client-2.71.0-r1.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10,11} )
+
+inherit distutils-r1
+
+DESCRIPTION="Google API Client for Python"
+HOMEPAGE="
+ https://github.com/googleapis/google-api-python-client/
+ https://pypi.org/project/google-api-python-client/
+"
+SRC_URI="
+ https://github.com/googleapis/google-api-python-client/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+
+RDEPEND="
+ >=dev-python/httplib2-0.15[${PYTHON_USEDEP}]
+ <dev-python/httplib2-1[${PYTHON_USEDEP}]
+ >=dev-python/google-api-core-2.3.1[${PYTHON_USEDEP}]
+ >=dev-python/google-auth-1.35.0[${PYTHON_USEDEP}]
+ >=dev-python/google-auth-httplib2-0.1.0[${PYTHON_USEDEP}]
+ >=dev-python/uritemplate-3.0.0[${PYTHON_USEDEP}]
+ <dev-python/uritemplate-5[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/oauth2client[${PYTHON_USEDEP}]
+ dev-python/pandas[${PYTHON_USEDEP}]
+ dev-python/parameterized[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # require Internet access (and credentials)
+ tests/test_discovery.py::DiscoveryErrors::test_credentials_and_credentials_file_mutually_exclusive
+ tests/test_discovery.py::DiscoveryFromDocument::test_api_endpoint_override_from_client_options_mapping_object
+ )
+
+ epytest tests
+}
diff --git a/dev-python/google-auth-httplib2/Manifest b/dev-python/google-auth-httplib2/Manifest
index b65ecdc417b6..a84d2fa5b721 100644
--- a/dev-python/google-auth-httplib2/Manifest
+++ b/dev-python/google-auth-httplib2/Manifest
@@ -1 +1,2 @@
+DIST google-auth-library-python-httplib2-0.1.0.gh.tar.gz 25116 BLAKE2B dbb0393bafb1bbe67b99ac0783e687271c42256c7b283422b884b86d4c8a83222392a5514b812aae683ec7f887afa4bf81307079e676f793f02eb87e52a375e5 SHA512 52b0faf70e185cb89420377a06c77e2c45f6b910b85371fc2c42fdfb06a4ebca28b476201f9d179fbaa4a8bf7b6015703d023ddd95d482113e2cdbf79fd376b5
DIST google-auth-library-python-httplib2-0.1.0.tar.gz 25116 BLAKE2B dbb0393bafb1bbe67b99ac0783e687271c42256c7b283422b884b86d4c8a83222392a5514b812aae683ec7f887afa4bf81307079e676f793f02eb87e52a375e5 SHA512 52b0faf70e185cb89420377a06c77e2c45f6b910b85371fc2c42fdfb06a4ebca28b476201f9d179fbaa4a8bf7b6015703d023ddd95d482113e2cdbf79fd376b5
diff --git a/dev-python/google-auth-httplib2/google-auth-httplib2-0.1.0-r2.ebuild b/dev-python/google-auth-httplib2/google-auth-httplib2-0.1.0-r2.ebuild
new file mode 100644
index 000000000000..74cd7713007c
--- /dev/null
+++ b/dev-python/google-auth-httplib2/google-auth-httplib2-0.1.0-r2.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..11} )
+
+inherit distutils-r1
+
+MY_P="google-auth-library-python-httplib2-${PV}"
+DESCRIPTION="httplib2 Transport for Google Auth"
+HOMEPAGE="
+ https://pypi.org/project/google-auth-httplib2/
+ https://github.com/googleapis/google-auth-library-python-httplib2/
+"
+SRC_URI="
+ https://github.com/googleapis/google-auth-library-python-httplib2/archive/v${PV}.tar.gz
+ -> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+
+RDEPEND="
+ dev-python/httplib2[${PYTHON_USEDEP}]
+ dev-python/google-auth[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/flask[${PYTHON_USEDEP}]
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/pytest-localserver[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
diff --git a/dev-python/google-auth-oauthlib/google-auth-oauthlib-0.8.0-r2.ebuild b/dev-python/google-auth-oauthlib/google-auth-oauthlib-0.8.0-r2.ebuild
new file mode 100644
index 000000000000..428011855aa4
--- /dev/null
+++ b/dev-python/google-auth-oauthlib/google-auth-oauthlib-0.8.0-r2.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..11} )
+
+inherit distutils-r1
+
+MY_P=google-auth-library-python-oauthlib-${PV}
+DESCRIPTION="Google Authentication Library"
+HOMEPAGE="
+ https://github.com/googleapis/google-auth-library-python-oauthlib/
+ https://pypi.org/project/google-auth-oauthlib/
+"
+SRC_URI="
+ https://github.com/googleapis/google-auth-library-python-oauthlib/archive/v${PV}.tar.gz
+ -> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+ >=dev-python/click-6.0.0[${PYTHON_USEDEP}]
+ >=dev-python/google-auth-2.15.0[${PYTHON_USEDEP}]
+ >=dev-python/requests-oauthlib-0.7.0[${PYTHON_USEDEP}]
+"
+
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
diff --git a/dev-python/hatch-vcs/Manifest b/dev-python/hatch-vcs/Manifest
index daf205655281..13c3c01cb31e 100644
--- a/dev-python/hatch-vcs/Manifest
+++ b/dev-python/hatch-vcs/Manifest
@@ -1,3 +1 @@
-DIST hatch-vcs-0.2.0.gh.tar.gz 8192 BLAKE2B 69f24de91b947e695336ca30cf3f265edcfaf10fa49df93fa0f70e45d1179e70d1ef5584fc99f88f66ca3c4fd1866a681db81253280ce3f9221d19f04443a085 SHA512 1c3627240ef5b659b9d87a69c84dd71cac4c83758f5be676e808377400383e996209cf6eabb1222f5330c0a97f0d261ced1eb9dc40e1d5c2bb2fc708659360eb
-DIST hatch-vcs-0.2.1.gh.tar.gz 9070 BLAKE2B d06e6bb32f69308e63cff796ff5942b4ec93c773196572c9d748d39d5ca12d176d65d58bd2e953db21b1387d283f16f9f18ac6481f13d95329356054cdbdafe6 SHA512 5e18cf15ffb75a96cdcfa0d19b15aa2c6f31f7066c78e64aef0a27d64eb69512e402027b5c45fc81c65fea1033bea404fc20ae6c0c465ba4b05229079b88be45
DIST hatch-vcs-0.3.0.gh.tar.gz 10049 BLAKE2B 69f49e205b4e42b46a246cc2403d8e7bbd2b8f83a360f1100ba98ecf7308d445e265749bd1f5fa7cca84104436e2643fd3f95292f2dba3dc48584a0df5136136 SHA512 ce22937aae8130a485ab154378f6c58c1720d66d277349a95ccfb58fd748deb69cd17d34ec3a12f3201f9e348e5d5b1c6b977432e614bb42d0e3065ec5f7f9c6
diff --git a/dev-python/hatch-vcs/hatch-vcs-0.2.0.ebuild b/dev-python/hatch-vcs/hatch-vcs-0.2.0.ebuild
deleted file mode 100644
index 6e9e0635a929..000000000000
--- a/dev-python/hatch-vcs/hatch-vcs-0.2.0.ebuild
+++ /dev/null
@@ -1,34 +0,0 @@
-# Copyright 2022 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_USE_PEP517=hatchling
-PYTHON_COMPAT=( python3_{7,8,9,10,11} pypy3 )
-
-inherit distutils-r1
-
-DESCRIPTION="Hatch plugin for versioning with your preferred VCS"
-HOMEPAGE="
- https://pypi.org/project/hatch-vcs/
- https://github.com/ofek/hatch-vcs/
-"
-SRC_URI="
- https://github.com/ofek/hatch-vcs/archive/v${PV}.tar.gz
- -> ${P}.gh.tar.gz
-"
-
-LICENSE="MIT"
-SLOT="0"
-KEYWORDS="amd64 arm arm64 hppa ~ia64 ~loong ~m68k ppc ppc64 ~riscv ~s390 sparc x86"
-
-RDEPEND="
- >=dev-python/setuptools_scm-6.4.0[${PYTHON_USEDEP}]
-"
-BDEPEND="
- test? (
- dev-vcs/git
- )
-"
-
-distutils_enable_tests pytest
diff --git a/dev-python/hatch-vcs/hatch-vcs-0.2.1.ebuild b/dev-python/hatch-vcs/hatch-vcs-0.2.1.ebuild
deleted file mode 100644
index 3917e5fa3ff0..000000000000
--- a/dev-python/hatch-vcs/hatch-vcs-0.2.1.ebuild
+++ /dev/null
@@ -1,34 +0,0 @@
-# Copyright 2022 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_USE_PEP517=hatchling
-PYTHON_COMPAT=( python3_{7,8,9,10,11} pypy3 )
-
-inherit distutils-r1
-
-DESCRIPTION="Hatch plugin for versioning with your preferred VCS"
-HOMEPAGE="
- https://pypi.org/project/hatch-vcs/
- https://github.com/ofek/hatch-vcs/
-"
-SRC_URI="
- https://github.com/ofek/hatch-vcs/archive/v${PV}.tar.gz
- -> ${P}.gh.tar.gz
-"
-
-LICENSE="MIT"
-SLOT="0"
-KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
-
-RDEPEND="
- >=dev-python/setuptools_scm-6.4.0[${PYTHON_USEDEP}]
-"
-BDEPEND="
- test? (
- dev-vcs/git
- )
-"
-
-distutils_enable_tests pytest
diff --git a/dev-python/hatch-vcs/hatch-vcs-0.3.0.ebuild b/dev-python/hatch-vcs/hatch-vcs-0.3.0.ebuild
index 1f07ef14727f..cab6b5b676c8 100644
--- a/dev-python/hatch-vcs/hatch-vcs-0.3.0.ebuild
+++ b/dev-python/hatch-vcs/hatch-vcs-0.3.0.ebuild
@@ -20,7 +20,7 @@ SRC_URI="
LICENSE="MIT"
SLOT="0"
-KEYWORDS="amd64 arm arm64 hppa ~ia64 ~loong ~m68k ppc ppc64 ~riscv ~s390 ~sparc x86"
+KEYWORDS="amd64 arm arm64 hppa ~ia64 ~loong ~m68k ppc ppc64 ~riscv ~s390 sparc x86"
RDEPEND="
>=dev-python/setuptools_scm-6.4.0[${PYTHON_USEDEP}]
diff --git a/dev-python/hypothesis/Manifest b/dev-python/hypothesis/Manifest
index 455a3d9f2ef9..9b768bb6cae8 100644
--- a/dev-python/hypothesis/Manifest
+++ b/dev-python/hypothesis/Manifest
@@ -1,3 +1,4 @@
DIST hypothesis-6.59.0.gh.tar.gz 9337749 BLAKE2B 29673a769702cf80efa05c3f5a60a3dac6d1226db2afbf25e3ff71be801c396db843222dac5facff8bbb1105dbd7533e2e908188a611a6e051b757ef87498dae SHA512 8d189576a45dc527c2adc0b36781a9323292aa3ed61ab1e0747c379d170c8a1907b787889ceb767d4814422d158c3cdd542360e75295605805b22d832a999777
DIST hypothesis-6.61.0.gh.tar.gz 9340090 BLAKE2B 0d550e50085ad2e9ae848b86b35eaa229de9aa461e235748c308708e92f22388ca1cd5f663f68d8399f89b73fe20298653f947988b6fb2c505ca44650c3997d4 SHA512 3b460c817b46a61e8bcb506316cc56a6e70b7cb16e1f7af925d24372992fcd8c7c6895722d11637402f67eef0fad63318c5c8835e72b585c789e95937cd38465
DIST hypothesis-6.61.1.gh.tar.gz 9340617 BLAKE2B cdef4559eed21211ecfb3942575b3a9f83e8c2335443d5541e1f52e839a41755d18d5174c1041f12723a26100c6188c618acaa7f504f250132e53ca534c36be1 SHA512 1a0093f18ca3ce4507926c82838cbb205b012faa47f5b4c1b8f574cfe9ebfd10d94d673020212922d162ee1238ee2a09d20b596e9c81ba4a106dfb4e2d6692a0
+DIST hypothesis-6.61.3.gh.tar.gz 9339977 BLAKE2B 2bd7f2828563694f678eacc3537e920d027229d294f1d48ba23780d8a467ffb2829fd961ba4e002786f5d95e4b57c6d0c115d75df8468465f31f3512c7fcbbc7 SHA512 835a079570a983343f4059c7b6ca5a8e8d568ad945a173bf179f6ea4b1ac6cf7d1f7ab7df8092c18aacc455499a9aadd0803ac3b0fb800c4d880a16256ca12f2
diff --git a/dev-python/hypothesis/hypothesis-6.61.3.ebuild b/dev-python/hypothesis/hypothesis-6.61.3.ebuild
new file mode 100644
index 000000000000..a4fa67304bc9
--- /dev/null
+++ b/dev-python/hypothesis/hypothesis-6.61.3.ebuild
@@ -0,0 +1,77 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+CLI_COMPAT=( python3_{8..10} )
+PYTHON_COMPAT=( python3_{7,8,9,10,11} pypy3 )
+PYTHON_REQ_USE="threads(+),sqlite"
+
+inherit distutils-r1 multiprocessing optfeature
+
+TAG=hypothesis-python-${PV}
+MY_P=hypothesis-${TAG}
+DESCRIPTION="A library for property based testing"
+HOMEPAGE="
+ https://github.com/HypothesisWorks/hypothesis/
+ https://pypi.org/project/hypothesis/
+"
+SRC_URI="
+ https://github.com/HypothesisWorks/hypothesis/archive/${TAG}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+S="${WORKDIR}/${MY_P}/hypothesis-python"
+
+LICENSE="MPL-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+IUSE="cli"
+
+RDEPEND="
+ >=dev-python/attrs-19.2.0[${PYTHON_USEDEP}]
+ >=dev-python/sortedcontainers-2.1.0[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ >=dev-python/exceptiongroup-1.0.0_rc8[${PYTHON_USEDEP}]
+ ' 3.8 3.9 3.10)
+ cli? (
+ $(python_gen_cond_dep '
+ dev-python/black[${PYTHON_USEDEP}]
+ dev-python/click[${PYTHON_USEDEP}]
+ ' "${CLI_COMPAT[@]}")
+ )
+"
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/pexpect[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ !!<dev-python/requests-toolbelt-0.10.1
+ )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ # subtests are broken by warnings from random plugins
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ local -x PYTEST_PLUGINS=xdist.plugin,pytest_forked,_hypothesis_pytestplugin
+
+ epytest tests/cover tests/pytest tests/quality -n "$(makeopts_jobs)"
+}
+
+python_install() {
+ distutils-r1_python_install
+ if ! use cli || ! has "${EPYTHON}" "${CLI_COMPAT[@]/_/.}"; then
+ rm -r "${ED}/usr/bin" "${D}$(python_get_scriptdir)" || die
+ fi
+}
+
+pkg_postinst() {
+ optfeature "datetime support" dev-python/pytz
+ optfeature "dateutil support" dev-python/python-dateutil
+ optfeature "numpy support" dev-python/numpy
+ optfeature "django support" dev-python/django dev-python/pytz
+ optfeature "pandas support" dev-python/pandas
+ optfeature "pytest support" dev-python/pytest
+}
diff --git a/dev-python/iniconfig/Manifest b/dev-python/iniconfig/Manifest
index 3aec5a70f66c..75386e40fa89 100644
--- a/dev-python/iniconfig/Manifest
+++ b/dev-python/iniconfig/Manifest
@@ -1 +1,2 @@
DIST iniconfig-1.1.1.tar.gz 8104 BLAKE2B 31301484887018a6aa75c944e2f8643f85b2433534ae46a8da893a113f2376eca14cbee88095a3784d1c52f26d4c748260c1df59c46b8f94cd342038f93242e8 SHA512 c9341db7e3ec2204b6a674fca7824cbeb492e3576d5ac3f084b234c82842b28f2f6acbfdb812e183f4334a95b990551f942a4caf548f5ce7ef14885f931535ee
+DIST iniconfig-2.0.0.gh.tar.gz 8077 BLAKE2B bb24006bafed64bc28d7a784ed24663dbcea782ef241b9c7ccb5dc0268f6d6ce149882155617d4c021805457c7c5e4775437d267da6905266fb84e877f16e09c SHA512 e474aaa904070ed79dbbd2b4b572574ebb591b97a4ca0f9c4e4aef437af01035d2f73c48bb670afcec2cd8b7ea093b92d6b0c0eca7ba42033418a2b0e0ac80ad
diff --git a/dev-python/iniconfig/iniconfig-2.0.0.ebuild b/dev-python/iniconfig/iniconfig-2.0.0.ebuild
new file mode 100644
index 000000000000..8de45a54c8d1
--- /dev/null
+++ b/dev-python/iniconfig/iniconfig-2.0.0.ebuild
@@ -0,0 +1,31 @@
+# Copyright 2020-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( python3_{7,8,9,10,11} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Brain-dead simple config-ini parsing"
+HOMEPAGE="
+ https://github.com/pytest-dev/iniconfig/
+ https://pypi.org/project/iniconfig/
+"
+SRC_URI="
+ https://github.com/pytest-dev/iniconfig/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+
+BDEPEND="
+ dev-python/hatch-vcs[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+
+export SETUPTOOLS_SCM_PRETEND_VERSION=${PV}
diff --git a/dev-python/libcloud/Manifest b/dev-python/libcloud/Manifest
index aa5f52330e2d..e1c16eda4736 100644
--- a/dev-python/libcloud/Manifest
+++ b/dev-python/libcloud/Manifest
@@ -1 +1,2 @@
DIST apache-libcloud-3.6.1.tar.bz2 1944060 BLAKE2B 61e1481cc8e4e3e017c262d20666ee33a79ccb78bbc0d682dfe6f63df26f21c06897ec98b0df56a27ac6ee92922a08ecb98451c1680c323f042a497379f91090 SHA512 292166aa1eda4b31eb1552c91d9acd54001c363471f1fdd5310e3e25519d7e1f599d9566f55a0c10ece08d544774e1abca3043283b1e7dd93bfadb7e36b02e22
+DIST apache-libcloud-3.7.0.tar.bz2 1979020 BLAKE2B f8630a5c559cba9ae6f7792ffc9cf4ba6eb2fdaa28d6ae148a5d2e978ee66eec9a39b16741446b78b047bf2454de860148a13bce3dbd8627dbc7dac43543b808 SHA512 315866947d2c748e4a13c4c2a4147a2a8e79cbb85e9e83fded3f89ff8a50c531acf1062a4e21c61448c20e7f7e7f9d1317d3c43ecfe2fb75155c0d81ff03f889
diff --git a/dev-python/libcloud/libcloud-3.7.0.ebuild b/dev-python/libcloud/libcloud-3.7.0.ebuild
new file mode 100644
index 000000000000..ff3721e7867e
--- /dev/null
+++ b/dev-python/libcloud/libcloud-3.7.0.ebuild
@@ -0,0 +1,60 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10,11} )
+PYTHON_REQ_USE="ssl(+)"
+
+inherit distutils-r1
+
+DESCRIPTION="Unified Interface to the Cloud - python support libs"
+HOMEPAGE="https://libcloud.apache.org/"
+SRC_URI="mirror://apache/${PN}/apache-${P}.tar.bz2"
+S="${WORKDIR}/apache-${P}"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~riscv ~x86"
+IUSE="examples"
+
+RDEPEND="
+ dev-python/pyopenssl[${PYTHON_USEDEP}]
+ >=dev-python/requests-2.5.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ >=dev-python/cryptography-2.6.1[${PYTHON_USEDEP}]
+ dev-python/lockfile[${PYTHON_USEDEP}]
+ dev-python/requests-mock[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+EPYTEST_DESELECT=(
+ # Needs network access
+ libcloud/test/compute/test_ovh.py::OvhTests::test_list_nodes_invalid_region
+ libcloud/test/test_connection.py::BaseConnectionClassTestCase::test_connection_timeout_raised
+ libcloud/test/test_connection.py::ConnectionClassTestCase::test_retry_on_all_default_retry_exception_classes
+ # TODO
+ libcloud/test/compute/test_ssh_client.py::ParamikoSSHClientTests::test_key_file_non_pem_format_error
+)
+
+src_prepare() {
+ if use examples; then
+ mkdir examples || die
+ mv example_*.py examples || die
+ fi
+
+ # needed for tests
+ cp libcloud/test/secrets.py-dist libcloud/test/secrets.py || die
+
+ distutils-r1_src_prepare
+}
+
+src_install() {
+ use examples && dodoc -r examples
+ distutils-r1_src_install
+}
diff --git a/dev-python/libtmux/Manifest b/dev-python/libtmux/Manifest
index c5ad16381090..5824685219c3 100644
--- a/dev-python/libtmux/Manifest
+++ b/dev-python/libtmux/Manifest
@@ -1,4 +1,4 @@
DIST libtmux-0.15.10.gh.tar.gz 240378 BLAKE2B 81841a25b01bb26d2c612a14cd4518c48b12162d4aafa280fe0d6de269d149bddaffe72f4ce2c735e41b00cd2bfec19773d7cd3b9fd927c892f11f0cdf8e8a88 SHA512 8ee870c94bd3e3a9fffc19854f978d4faad747ea395e53c3576adc9cc2dcdd3cbdedeeb589a2dc11b0ac836931ffbdcea06a4a850b2ead163235dda2334defb5
DIST libtmux-0.15.9.gh.tar.gz 239611 BLAKE2B 7a171c827fde0ddf3fa0191c00d4e22e5027d925781f7231497c09a038f16d3408ba894d4f8d71470a0d8dbb8f1fc387971d3c8ec94d9f03a3f0af0e2ac0c7c7 SHA512 e7599dece70188cd210de7a1e554d86ba12b8479757dd03903cf3e0608e8e9cf3d181e4c0afc7432d6977dece931707120399690932099ed7d07d847ac76655c
-DIST libtmux-0.16.1.gh.tar.gz 246412 BLAKE2B ec95f3aab5b48b9d6a22698c9480e969aba2136225f4728ccbf57deabed105bc6f098e49d3072bf2e5edf8a436f9e36e04b39b8d8e87d206c0ed2703d63ceed2 SHA512 0eb739679a80def01b3810bfe93971eb6c272b4b694ce5e4b846bde8721d2d919f5f8a5e8b6332279a59abfea4bd1e0a510d2ba2ee2d35ff71271920e40cec60
-DIST libtmux-0.18.2.gh.tar.gz 261333 BLAKE2B 51def99a71ec9197ff88755183b11ec5fbe15f5f0388603b97141c745af80b4d351163e1ea8d4bf69da543f24eda0c745160e4acd337111a664641758d52260f SHA512 7bdc1d0a356eb94f1717249d2752cd742213a17a5723b7a1e5d6cfa20c839416e31fd72524d8235266d68530f989013eba9d3a86790a456d09944ce9e77f63a4
+DIST libtmux-0.18.3.gh.tar.gz 261540 BLAKE2B be98707101d7481b6787694795eb05dbe1070a0eed0b7408af1714be01f4870c51223559d1edc3a3fb7b60e02496a413e92c0734031223bca9d521604cb6e65e SHA512 67173c4f2f45f1236e7a1a5ce0895c53bfd6316aa7017382f97b87f84cbc6a23a6ef0f2574a276b7b064da9e4982804fb2004d31ddb1237f97ca835fafdf9ccb
+DIST libtmux-0.19.1.gh.tar.gz 262280 BLAKE2B 9d1a2c74b49011e66df6ed2012096b0df6c6731e258078f8ce2b4fef38d21513488b195e3fdb722478ae5f829ba77bd09c152569d73cab83bfa6e4a360346b39 SHA512 b9f3b29de7c8ca86e8495843aa04e2dedfaea749bd57095a9d7a2f638111de7474500c3dbd892f0c580c613c796fece8da47d6c099b8b78056fbd242451eb129
diff --git a/dev-python/libtmux/libtmux-0.18.2.ebuild b/dev-python/libtmux/libtmux-0.18.3.ebuild
index f7491752915e..f7491752915e 100644
--- a/dev-python/libtmux/libtmux-0.18.2.ebuild
+++ b/dev-python/libtmux/libtmux-0.18.3.ebuild
diff --git a/dev-python/libtmux/libtmux-0.16.1.ebuild b/dev-python/libtmux/libtmux-0.19.1.ebuild
index 52b1d12894ad..f7491752915e 100644
--- a/dev-python/libtmux/libtmux-0.16.1.ebuild
+++ b/dev-python/libtmux/libtmux-0.19.1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2022 Gentoo Authors
+# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
diff --git a/dev-python/mkdocs-material/Manifest b/dev-python/mkdocs-material/Manifest
index e5c7667d1867..0e5f718d3cc4 100644
--- a/dev-python/mkdocs-material/Manifest
+++ b/dev-python/mkdocs-material/Manifest
@@ -1,3 +1,4 @@
DIST mkdocs-material-8.5.11.gh.tar.gz 10423819 BLAKE2B 8af9b10fde57a6543d86dc8d6004cb100359e274072486094e7db4f8eeb7d44d83505d00b3f202f02e695a613ae8e2fdf08ac1b39584e7d9aeae430bb560d60a SHA512 7fdc06cf7f64a2831fe2acb05a735bc9519fdf109fbccd5ee1667d07175916fffb295ccfa88a4352a7a0688f0eaf535c26ab49463f672d964d4a87ad8de6ddf1
DIST mkdocs-material-9.0.1.gh.tar.gz 10585027 BLAKE2B 7515e9820466e375098781f1bdcdb56f6f9616ef827fb307fbec2c696d28923837df8a7a93fb4972eaf8de82411c5287bc6d40e9d0e91f0a1f109e4ee35c7771 SHA512 800f02a9ec31e9505ce9092abcfb2558bf9edc2423c844f0acadb96f190ff858df3a74a704081eea8c1eec2851265d22b19a7d8d7aef49d3582f2c7ea05f9d60
DIST mkdocs-material-9.0.2.gh.tar.gz 10585323 BLAKE2B 2dec935eddcd3865709f9d571a6e7e13774d88b7960fd1f12e1bfc3b7b70c996ac1b6e7d6da74305a693f0104ebeb5ac4b1d9d84682fcc0195346713b014a663 SHA512 fe789f02e306d7279d2b9e3c2fef0301791bc9f109df12a217a42d4334c891702472a1fa28a98741e670a534963175d926fc76f725cb4f56be4d3f49906ab4d5
+DIST mkdocs-material-9.0.3.gh.tar.gz 10587701 BLAKE2B 35fce28b42346cc2ce208cd3ea5d89437a65b0ebbb8bde2eaae278b5fa7da222a025f34cbf8b3212da206616945ce57ce23d9b2061f216f5b2bcde9e23c96989 SHA512 dd81508dd7784318ba0cebb2254891bcddc6283d5a45c04d956c5dca4e993d57e2059aa9f0dee5667889673515c1af2681fe907b92aebe18f69483023fd0d6d3
diff --git a/dev-python/mkdocs-material/mkdocs-material-9.0.3.ebuild b/dev-python/mkdocs-material/mkdocs-material-9.0.3.ebuild
new file mode 100644
index 000000000000..0361005daf96
--- /dev/null
+++ b/dev-python/mkdocs-material/mkdocs-material-9.0.3.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( python3_{7,8,9,10,11} )
+
+DOCS_BUILDER="mkdocs"
+DOCS_DEPEND="
+ dev-python/mkdocs-material-extensions
+ dev-python/mkdocs-minify-plugin
+ dev-python/mkdocs-redirects
+"
+
+inherit distutils-r1 docs
+
+DESCRIPTION="A Material Design theme for MkDocs"
+HOMEPAGE="
+ https://github.com/squidfunk/mkdocs-material/
+ https://pypi.org/project/mkdocs-material/
+"
+SRC_URI="
+ https://github.com/squidfunk/${PN}/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~riscv ~x86"
+
+RDEPEND="
+ >=dev-python/jinja-3.0.2[${PYTHON_USEDEP}]
+ >=dev-python/markdown-3.2[${PYTHON_USEDEP}]
+ >=dev-python/mkdocs-1.4.2[${PYTHON_USEDEP}]
+ >=dev-python/pygments-2.14[${PYTHON_USEDEP}]
+ >=dev-python/pymdown-extensions-9.9[${PYTHON_USEDEP}]
+"
+
+# mkdocs-material-extensions depends on mkdocs-material creating a circular dep
+PDEPEND="
+ >=dev-python/mkdocs-material-extensions-1.1.0[${PYTHON_USEDEP}]
+"
+
+PATCHES=(
+ # simplify pyproject to remove extra deps for metadata
+ "${FILESDIR}/${PN}-8.5.7-simplify-build.patch"
+)
+
+src_prepare() {
+ echo "__version__ = '${PV}'" > gentoo_version.py || die
+ distutils-r1_src_prepare
+}
diff --git a/dev-python/networkx/Manifest b/dev-python/networkx/Manifest
index 13a1941c634f..f715b0a30e95 100644
--- a/dev-python/networkx/Manifest
+++ b/dev-python/networkx/Manifest
@@ -1 +1,2 @@
DIST networkx-2.8.8.tar.gz 1960828 BLAKE2B 074e902c2c31e0641fe651d2168c77e62af04b322485bf002f557a42c7a7c63d1391c32f9de95b9d5faf13f7eb9ece93171bb1fdba8548d59df5075ac72263e2 SHA512 c698ed2dcc4221662af585940cf5d6ce1ad97b6b8f6d84348ff1d6b233eb69a36f5fba362bc4bb3a08ec8716434690b52b1d66dc4122edb0f420eaa10023d9d4
+DIST networkx-3.0.tar.gz 1987075 BLAKE2B fd5de216f4934a1d5c730264b3860a91dcaf7a12462b615b1aa22df11bfd7d530a369442eebe185572e94bedf6fae3ef4a452804c84fdf3f1e79527ffab2d5c9 SHA512 73e1a9faca6ecd04f6d8da4cd5a887af31738fbeca3d06adc57a4a61fad1d81ab30e89f9c4d25274b0890519b0a517f09402eea3bf3f26b18c3e3052b837ee37
diff --git a/dev-python/networkx/networkx-3.0.ebuild b/dev-python/networkx/networkx-3.0.ebuild
new file mode 100644
index 000000000000..400f0aea381b
--- /dev/null
+++ b/dev-python/networkx/networkx-3.0.ebuild
@@ -0,0 +1,65 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_FULLY_TESTED=( python3_{8..11} )
+PYTHON_COMPAT=( "${PYTHON_FULLY_TESTED[@]}" )
+
+inherit distutils-r1 optfeature multiprocessing virtualx
+
+DESCRIPTION="Python tools to manipulate graphs and complex networks"
+HOMEPAGE="
+ https://networkx.org/
+ https://github.com/networkx/networkx/
+ https://pypi.org/project/networkx/
+"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ia64 ~loong ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos"
+
+BDEPEND="
+ test? (
+ >=dev-python/lxml-4.5[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ >=dev-python/pyyaml-3.13[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ >=dev-python/numpy-1.20[${PYTHON_USEDEP}]
+ >=dev-python/scipy-1.6.2[${PYTHON_USEDEP}]
+ ' "${PYTHON_FULLY_TESTED[@]}")
+ )
+"
+
+distutils_enable_tests pytest
+
+src_test() {
+ virtx distutils-r1_src_test
+}
+
+python_test() {
+ local EPYTEST_DESELECT=()
+ if ! has_version "dev-python/scipy[${PYTHON_USEDEP}]"; then
+ EPYTEST_DESELECT+=(
+ networkx/drawing/tests/test_pylab.py::test_draw
+ )
+ fi
+ # virtx implies nonfatal
+ nonfatal epytest -p no:django -n "$(makeopts_jobs)" || die
+}
+
+src_install() {
+ distutils-r1_src_install
+ # those examples use various assets and pre-compressed files
+ docompress -x /usr/share/doc/${PF}/examples
+}
+
+pkg_postinst() {
+ optfeature "recommended dependencies" "dev-python/matplotlib dev-python/numpy dev-python/pandas dev-python/scipy"
+ optfeature "graph drawing and graph layout algorithms" "dev-python/pygraphviz dev-python/pydot"
+ optfeature "YAML format reading and writing" "dev-python/pyyaml"
+ optfeature "shapefile format reading and writing" "dev-python/gdal"
+ optfeature "GraphML XML format" "dev-python/lxml"
+}
diff --git a/dev-python/nox/nox-2022.11.21.ebuild b/dev-python/nox/nox-2022.11.21.ebuild
index c7097b32a6f4..3828f6c759c1 100644
--- a/dev-python/nox/nox-2022.11.21.ebuild
+++ b/dev-python/nox/nox-2022.11.21.ebuild
@@ -30,6 +30,11 @@ RDEPEND="
>=dev-python/packaging-20.9[${PYTHON_USEDEP}]
>=dev-python/virtualenv-14[${PYTHON_USEDEP}]
"
+BDEPEND="
+ test? (
+ dev-python/py[${PYTHON_USEDEP}]
+ )
+"
distutils_enable_tests pytest
diff --git a/dev-python/platformdirs/Manifest b/dev-python/platformdirs/Manifest
index bd3f599ff0e5..4ccd86ab2cd7 100644
--- a/dev-python/platformdirs/Manifest
+++ b/dev-python/platformdirs/Manifest
@@ -1,4 +1 @@
-DIST platformdirs-2.5.4.gh.tar.gz 20645 BLAKE2B c995b881bf25d215ffbcfa4d9fd6721d763d2c27e306961965cd16da00bffce5a1e8dc3ebb48f0f499dbc0f5a079fcffbe0755913f61bc3e8a7192e951e8f18b SHA512 35e2f4ff4d289d6d83172105c716b3a337dc55b52be6d4ac653460e6e5696cce2256a645b2e91a8bab4a17f8a6c6e49b4a005924ede8da7ef2d03ede35061703
-DIST platformdirs-2.6.0.gh.tar.gz 20779 BLAKE2B 5958cff9e3583091c365aea0b3380fc02b273d529868587cda80713db43794c5b69df729390152611d1611aa8a29a5aff84d26a4ccd8777bbd800b3c982bb0fe SHA512 727e057197b1f50cd6e9c0afcba042c9c0f85e061a8667f04548966e6d3d8eb80ce35d07d6578f98fc66273f31caf2a0dc7db9599f2f55fe2e89493803c4db57
-DIST platformdirs-2.6.1.gh.tar.gz 21135 BLAKE2B 65cd34d5fcc3aea46f216780d3a069d39395e0e9af1cff7a7af8511318c165233fff50ad6610ccd48a1e98e1dc4ca68f1cb2d6156a2c4e2a4523f04c09abdd0e SHA512 aff9d091ffad8e110aa2b3d615da65e3618b20f26f007210a9cb75d5e7d72d9ab8309e7e5a139f344f9f6dbedb419ab97848f8301e5104a667a6def58f947a6e
DIST platformdirs-2.6.2.gh.tar.gz 21184 BLAKE2B 4acc85301f764d4457ace88f9fb409e4d2f8bb17b9133dc3316c4d265a7cf50019298f1ba4cef87f5999b48fd7060687f7008079de26ffe74740a4cefff9309e SHA512 704cc39ba1746055e0459139759e118bd6178fb13cc8ecf580f58d16073fbb8ade0bce8b5eb9230ccc45b19f622a41c84a06f8698ee722da9d5cec44c5f46e25
diff --git a/dev-python/platformdirs/platformdirs-2.5.4.ebuild b/dev-python/platformdirs/platformdirs-2.5.4.ebuild
deleted file mode 100644
index 5f2024eecbdf..000000000000
--- a/dev-python/platformdirs/platformdirs-2.5.4.ebuild
+++ /dev/null
@@ -1,35 +0,0 @@
-# Copyright 2021-2022 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_USE_PEP517=hatchling
-PYTHON_COMPAT=( python3_{7,8,9,10,11} pypy3 )
-
-inherit distutils-r1
-
-DESCRIPTION="A small Python module for determining appropriate platform-specific dirs"
-HOMEPAGE="
- https://pypi.org/project/platformdirs/
- https://github.com/platformdirs/platformdirs/
-"
-SRC_URI="
- https://github.com/platformdirs/platformdirs/archive/${PV}.tar.gz
- -> ${P}.gh.tar.gz
-"
-
-LICENSE="MIT"
-SLOT="0"
-KEYWORDS="amd64 arm arm64 hppa ~ia64 ~loong ~m68k ppc ppc64 ~riscv ~s390 sparc x86"
-
-BDEPEND="
- dev-python/hatch-vcs[${PYTHON_USEDEP}]
- test? (
- dev-python/appdirs[${PYTHON_USEDEP}]
- dev-python/pytest-mock[${PYTHON_USEDEP}]
- )
-"
-
-distutils_enable_tests pytest
-
-export SETUPTOOLS_SCM_PRETEND_VERSION=${PV}
diff --git a/dev-python/platformdirs/platformdirs-2.6.0.ebuild b/dev-python/platformdirs/platformdirs-2.6.0.ebuild
deleted file mode 100644
index daa913f3bb8a..000000000000
--- a/dev-python/platformdirs/platformdirs-2.6.0.ebuild
+++ /dev/null
@@ -1,35 +0,0 @@
-# Copyright 2021-2022 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_USE_PEP517=hatchling
-PYTHON_COMPAT=( python3_{7,8,9,10,11} pypy3 )
-
-inherit distutils-r1
-
-DESCRIPTION="A small Python module for determining appropriate platform-specific dirs"
-HOMEPAGE="
- https://pypi.org/project/platformdirs/
- https://github.com/platformdirs/platformdirs/
-"
-SRC_URI="
- https://github.com/platformdirs/platformdirs/archive/${PV}.tar.gz
- -> ${P}.gh.tar.gz
-"
-
-LICENSE="MIT"
-SLOT="0"
-KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
-
-BDEPEND="
- dev-python/hatch-vcs[${PYTHON_USEDEP}]
- test? (
- dev-python/appdirs[${PYTHON_USEDEP}]
- dev-python/pytest-mock[${PYTHON_USEDEP}]
- )
-"
-
-distutils_enable_tests pytest
-
-export SETUPTOOLS_SCM_PRETEND_VERSION=${PV}
diff --git a/dev-python/platformdirs/platformdirs-2.6.1.ebuild b/dev-python/platformdirs/platformdirs-2.6.1.ebuild
deleted file mode 100644
index ec990df90bae..000000000000
--- a/dev-python/platformdirs/platformdirs-2.6.1.ebuild
+++ /dev/null
@@ -1,35 +0,0 @@
-# Copyright 2021-2022 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_USE_PEP517=hatchling
-PYTHON_COMPAT=( python3_{7,8,9,10,11} pypy3 )
-
-inherit distutils-r1
-
-DESCRIPTION="A small Python module for determining appropriate platform-specific dirs"
-HOMEPAGE="
- https://pypi.org/project/platformdirs/
- https://github.com/platformdirs/platformdirs/
-"
-SRC_URI="
- https://github.com/platformdirs/platformdirs/archive/${PV}.tar.gz
- -> ${P}.gh.tar.gz
-"
-
-LICENSE="MIT"
-SLOT="0"
-KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
-
-BDEPEND="
- >=dev-python/hatch-vcs-0.3[${PYTHON_USEDEP}]
- test? (
- dev-python/appdirs[${PYTHON_USEDEP}]
- dev-python/pytest-mock[${PYTHON_USEDEP}]
- )
-"
-
-distutils_enable_tests pytest
-
-export SETUPTOOLS_SCM_PRETEND_VERSION=${PV}
diff --git a/dev-python/platformdirs/platformdirs-2.6.2.ebuild b/dev-python/platformdirs/platformdirs-2.6.2.ebuild
index ec990df90bae..d04a154560b5 100644
--- a/dev-python/platformdirs/platformdirs-2.6.2.ebuild
+++ b/dev-python/platformdirs/platformdirs-2.6.2.ebuild
@@ -1,4 +1,4 @@
-# Copyright 2021-2022 Gentoo Authors
+# Copyright 2021-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
@@ -20,7 +20,7 @@ SRC_URI="
LICENSE="MIT"
SLOT="0"
-KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+KEYWORDS="amd64 arm arm64 hppa ~ia64 ~loong ~m68k ppc ppc64 ~riscv ~s390 sparc x86"
BDEPEND="
>=dev-python/hatch-vcs-0.3[${PYTHON_USEDEP}]
diff --git a/dev-python/prettytable/Manifest b/dev-python/prettytable/Manifest
index 4524f2bd3cd5..15ce1fb497dc 100644
--- a/dev-python/prettytable/Manifest
+++ b/dev-python/prettytable/Manifest
@@ -1,2 +1,3 @@
DIST prettytable-3.3.0.tar.gz 54305 BLAKE2B 4d131c16b6c6a0fd64aae1f9f54e286bf27b562888af56a6944d192a24c05d6138c3bdb8f298dcc060db7609d72b8d86ab9664bf6bcf43cd2105bdd433bae3cf SHA512 e190717e2ea89e8faddc7015fd5118e0d93ac5f5318641ce5960b22b4ea3740ff12c4d15812b33655252f258c96f9e848f554d1e678d39761c28025ba7772609
DIST prettytable-3.5.0.gh.tar.gz 45387 BLAKE2B 0ddb2c89e80c8f713c01afd4db7d5fcfa8151bcfaf7dcf07d66898b1b868ca093931829fe1b4db96c120a6eda1f84580726931dbd6d49b9870c1fc1eb0e479b9 SHA512 24ef28a42365568bf68a974afd42fcc1bfb9208e1cb75fc1b2890bc2253487afa6536e778b58e320e952ca8bf9b69193bd1293bb7615628d03765ee24c44edff
+DIST prettytable-3.6.0.gh.tar.gz 46174 BLAKE2B 2a7e507efdf4ab3282e95e8db14b92477fdd40a06fdb009146ce6a3a52ef49e46a61803ac3cd85d2ec993ad8cc49bd842d438b97fc037e56cb33cd4495b535ef SHA512 b4693a3d30555f598cb955923560d02ce7c757e87ee49bf09c8d50d3ce8bef67ebfad1c780914f488e89852c0e363c2cad098addc058a88864efb8eefa8e9cd8
diff --git a/dev-python/prettytable/prettytable-3.6.0.ebuild b/dev-python/prettytable/prettytable-3.6.0.ebuild
new file mode 100644
index 000000000000..861b474e185a
--- /dev/null
+++ b/dev-python/prettytable/prettytable-3.6.0.ebuild
@@ -0,0 +1,38 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( python3_{7,8,9,10,11} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Easily displaying tabular data in a visually appealing ASCII table format"
+HOMEPAGE="
+ https://github.com/jazzband/prettytable/
+ https://pypi.org/project/prettytable/
+"
+SRC_URI="
+ https://github.com/jazzband/prettytable/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+ dev-python/wcwidth[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ dev-python/hatch-vcs[${PYTHON_USEDEP}]
+ test? (
+ $(python_gen_impl_dep sqlite)
+ dev-python/pytest-lazy-fixture[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+export SETUPTOOLS_SCM_PRETEND_VERSION=${PV}
diff --git a/dev-python/proto-plus/proto-plus-1.22.1-r1.ebuild b/dev-python/proto-plus/proto-plus-1.22.1-r1.ebuild
new file mode 100644
index 000000000000..e185013a1b40
--- /dev/null
+++ b/dev-python/proto-plus/proto-plus-1.22.1-r1.ebuild
@@ -0,0 +1,40 @@
+# Copyright 2021-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10,11} )
+
+inherit distutils-r1
+
+DESCRIPTION="Beautiful, Pythonic protocol buffers"
+HOMEPAGE="
+ https://github.com/googleapis/proto-plus-python/
+ https://pypi.org/project/proto-plus/
+"
+SRC_URI="
+ https://github.com/googleapis/proto-plus-python/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+S="${WORKDIR}/${PN}-python-${PV}"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="amd64 ~arm ~arm64 x86"
+
+RDEPEND="
+ <dev-python/protobuf-python-5[${PYTHON_USEDEP}]
+ >=dev-python/protobuf-python-3.19.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ >=dev-python/google-api-core-1.31.5[${PYTHON_USEDEP}]
+ dev-python/grpcio[${PYTHON_USEDEP}]
+ dev-python/pytz[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+distutils_enable_sphinx docs \
+ dev-python/sphinx_rtd_theme
diff --git a/dev-python/redis-py/Manifest b/dev-python/redis-py/Manifest
index 22913d634ce6..db369ab5d50d 100644
--- a/dev-python/redis-py/Manifest
+++ b/dev-python/redis-py/Manifest
@@ -1 +1,2 @@
DIST redis-py-4.4.0.gh.tar.gz 4637656 BLAKE2B 40b0909c27cefb399353cc2d1d82d7ad3d64e4b3e5ae001ffef9c198d0e65d906f5772a0ac33b599c7fb6ffc5dfad461bb4b9042c5c4fb23dfbfceb0a7facbc0 SHA512 8992f160de7817c48893f3a8588d5c0398dcfb91830a61b4218206adc88185acb102b072507d3064b4a7aade5c957267e5d0e6912510bb106eea834cf9250fab
+DIST redis-py-4.4.1.gh.tar.gz 4733306 BLAKE2B b04a5925f87d8c1dbb06b30382f739d6bc39456b6b49be34701afcc1fecfca4783e60a451ddccdaff31f28c38b626e19607a57ebd600f7e28c63a4b62894f397 SHA512 0cec4b518bb56acee6a24ca62e7fdce054b4be764fcfaa860257d8de9f306d9d0f15a662354d7414a4a552475e2b49d97d97de05059310eead068a6269bc3038
diff --git a/dev-python/redis-py/redis-py-4.4.1.ebuild b/dev-python/redis-py/redis-py-4.4.1.ebuild
new file mode 100644
index 000000000000..0471f7571158
--- /dev/null
+++ b/dev-python/redis-py/redis-py-4.4.1.ebuild
@@ -0,0 +1,79 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10,11} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Python client for Redis key-value store"
+HOMEPAGE="
+ https://github.com/redis/redis-py/
+ https://pypi.org/project/redis/
+"
+SRC_URI="
+ https://github.com/redis/redis-py/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~riscv ~sparc ~x86"
+
+RDEPEND="
+ >=dev-python/async-timeout-4.0.2[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-db/redis
+ dev-python/pytest-asyncio[${PYTHON_USEDEP}]
+ dev-python/pytest-timeout[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # Flaky test
+ tests/test_pubsub.py::TestPubSubDeadlock::test_pubsub_deadlock
+ # TODO
+ tests/test_commands.py::TestRedisCommands::test_acl_list
+ # redis-7 different return
+ tests/test_commands.py::TestRedisCommands::test_xautoclaim
+ )
+
+ # TODO: try to run more servers?
+ epytest -m "not redismod and not onlycluster and not replica and not ssl"
+}
+
+src_test() {
+ local redis_pid="${T}"/redis.pid
+ local redis_port=6379
+
+ if has_version ">=dev-db/redis-7"; then
+ local extra_conf="
+ enable-debug-command yes
+ enable-module-command yes
+ "
+ fi
+
+ # Spawn Redis itself for testing purposes
+ einfo "Spawning Redis"
+ einfo "NOTE: Port ${redis_port} must be free"
+ "${EPREFIX}"/usr/sbin/redis-server - <<- EOF || die "Unable to start redis server"
+ daemonize yes
+ pidfile ${redis_pid}
+ port ${redis_port}
+ bind 127.0.0.1 ::1
+ ${extra_conf}
+ EOF
+
+ # Run the tests
+ distutils-r1_src_test
+
+ # Clean up afterwards
+ kill "$(<"${redis_pid}")" || die
+}
diff --git a/dev-python/sphinxcontrib-applehelp/Manifest b/dev-python/sphinxcontrib-applehelp/Manifest
index 45dabb0e11ac..5af12bba789a 100644
--- a/dev-python/sphinxcontrib-applehelp/Manifest
+++ b/dev-python/sphinxcontrib-applehelp/Manifest
@@ -1 +1,2 @@
DIST sphinxcontrib-applehelp-1.0.2.tar.gz 24548 BLAKE2B 9532cb990ed97c6773388a66895a066958187e9100d226e2274c26ba07fc5832e42ba407864b69b002da926a79e71ac2d6315125906156214df3920b585d9f71 SHA512 1325ac83ff15dd28d6f2791caf64e6c08d1dd2f0946dc8891f5c4d8fd062a1e8650c9c39a7459195ef41f3b425f5b8d6c5e277ea85621a36dd870ca5162508da
+DIST sphinxcontrib-applehelp-1.0.3.gh.tar.gz 20624 BLAKE2B d9dbd5974527044ecf2d5800da1a3e4b169fdfc2f322006c56ff70f85f3690c95f7f1161693c3bbd14c90a76b8e64035fd3f5bec1529a35f723ae0a47c5967d1 SHA512 d790a58a0b95f90f370c80d198f0e4181485d522d4dcc6e03874c2a2d53b20f84770507a0c956610135d1ad85ccaab68cb287b1e1c463d32c5a0447a5ae49f45
diff --git a/dev-python/sphinxcontrib-applehelp/sphinxcontrib-applehelp-1.0.3.ebuild b/dev-python/sphinxcontrib-applehelp/sphinxcontrib-applehelp-1.0.3.ebuild
new file mode 100644
index 000000000000..12e45ad52bb9
--- /dev/null
+++ b/dev-python/sphinxcontrib-applehelp/sphinxcontrib-applehelp-1.0.3.ebuild
@@ -0,0 +1,44 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=flit
+PYTHON_COMPAT=( python3_{7,8,9,10,11} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Sphinx extension which outputs Apple help book"
+HOMEPAGE="
+ https://www.sphinx-doc.org/
+ https://github.com/sphinx-doc/sphinxcontrib-applehelp/
+ https://pypi.org/project/sphinxcontrib.applehelp/
+"
+SRC_URI="
+ https://github.com/sphinx-doc/sphinxcontrib-applehelp/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="BSD-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x64-solaris"
+
+PDEPEND="
+ >=dev-python/sphinx-2.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? ( ${PDEPEND} )
+"
+
+distutils_enable_tests pytest
+
+python_compile() {
+ distutils-r1_python_compile
+ find "${BUILD_DIR}" -name '*.pth' -delete || die
+}
+
+python_test() {
+ distutils_write_namespace sphinxcontrib
+ cd "${T}" || die
+ epytest "${S}"/tests
+}
diff --git a/dev-python/svglib/Manifest b/dev-python/svglib/Manifest
index c5075c6ef2ec..a35e18d7d10d 100644
--- a/dev-python/svglib/Manifest
+++ b/dev-python/svglib/Manifest
@@ -1,2 +1,3 @@
DIST svglib-1.4.1.gh.tar.gz 1265260 BLAKE2B ad4d6a402cd56e2e6f1fb534a8cc9c2bdc038fbdd01aad228d0b6471fd9781bcec88064dd6b93ef324201f141202404d25e31834c0f32a40c0a8037be7196edc SHA512 058aae53224cc590d56585a0f5e45506bd6586f70ddb3d9429052c8b2c18a3906925cd17a19c0f6b46695159eee1914f5e658293e7c40c1a7506f2414f8c41f8
DIST svglib-1.5.0.gh.tar.gz 1265070 BLAKE2B 269a5f290c20bc8a1e5df257ba02449471daf1e9e8ec7128a2008b888c8037d8c610e59bc18d379efd41bbb2bedf265d6751b0d5e2bb34b5ff2c24a4a8f4fca3 SHA512 baa69d766b353ed4da176815a9cc205b9200d1c29b88958f6dcf1de7451d0f8f8783138ddf49aa09dbf49ccd4f36f1a3d9be3d72d7a0d1491dc61840210a850c
+DIST svglib-1.5.1.gh.tar.gz 1265304 BLAKE2B e147df6c5326f0ed27ffa56a158442b7727946cd9f51577df36b05b04ffa7ee6b8112736eab92e214ef26b7d055506844820b323e5342e04efbd615a7b8f982f SHA512 5cd93db39078c7598a51e08afee08b689c4c95e5ac6340d1a51f85b6459fa4635b8edf45add3b39d0a079f0177a99b3d4786e40fb6276aa5ba80c9b5513e6d4c
diff --git a/dev-python/svglib/svglib-1.5.1.ebuild b/dev-python/svglib/svglib-1.5.1.ebuild
new file mode 100644
index 000000000000..1524699da010
--- /dev/null
+++ b/dev-python/svglib/svglib-1.5.1.ebuild
@@ -0,0 +1,38 @@
+# Copyright 2021-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10,11} )
+
+inherit distutils-r1
+
+DESCRIPTION="Pure-Python library for reading and converting SVG"
+HOMEPAGE="
+ https://github.com/deeplook/svglib/
+ https://pypi.org/project/svglib/
+"
+SRC_URI="
+ https://github.com/deeplook/svglib/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="LGPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+ dev-python/cssselect2[${PYTHON_USEDEP}]
+ dev-python/lxml[${PYTHON_USEDEP}]
+ dev-python/reportlab[${PYTHON_USEDEP}]
+ dev-python/tinycss2[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+
+EPYTEST_DESELECT=(
+ # Needs network access
+ tests/test_samples.py::TestWikipediaFlags::test_convert_pdf
+ tests/test_samples.py::TestW3CSVG::test_convert_pdf_png
+)